> For the complete documentation index, see [llms.txt](https://docs.moregoodreviews.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.moregoodreviews.com/agencies/api-reference/external-links.md).

# External Links

## List External Links

> Retrieve shared sidebar links shown in the white-label console.

```json
{"openapi":"3.0.3","info":{"title":"MGR Agency API","version":"1.0.0"},"tags":[{"name":"External Links"}],"servers":[{"url":"https://api.moregoodreviews.com/agency"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"http","scheme":"bearer","bearerFormat":"ApiKey"}}},"paths":{"/external-links":{"get":{"tags":["External Links"],"summary":"List External Links","operationId":"listExternalLinks","description":"Retrieve shared sidebar links shown in the white-label console.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","description":"Object containing response data for this resource.","properties":{"success":{"type":"boolean","description":"Indicates whether the request completed successfully."},"code":{"type":"integer","description":"Short code or application-level status code for this resource."},"data":{"type":"array","description":"Response payload for the request.","items":{"type":"object","description":"Response payload for the request.","properties":{"id":{"type":"integer","description":"Unique numeric identifier for this resource."},"uuid":{"type":"string","description":"Stable UUID for this resource."},"label":{"type":"string","description":"Label for this resource."},"url":{"type":"string","description":"URL for the external resource."}}}}}}}}}}}}}}
```

## Create External Link

> Add a shared navigation link for client console users.

```json
{"openapi":"3.0.3","info":{"title":"MGR Agency API","version":"1.0.0"},"tags":[{"name":"External Links"}],"servers":[{"url":"https://api.moregoodreviews.com/agency"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"http","scheme":"bearer","bearerFormat":"ApiKey"}}},"paths":{"/external-links":{"post":{"tags":["External Links"],"summary":"Create External Link","operationId":"createExternalLink","description":"Add a shared navigation link for client console users.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","description":"Object containing response data for this resource.","properties":{"success":{"type":"boolean","description":"Indicates whether the request completed successfully."},"code":{"type":"integer","description":"Short code or application-level status code for this resource."},"data":{"type":"object","description":"Response payload for the request.","properties":{"id":{"type":"integer","description":"Unique numeric identifier for this resource."},"uuid":{"type":"string","description":"Stable UUID for this resource."},"label":{"type":"string","description":"Label for this resource."},"url":{"type":"string","description":"URL for the external resource."}}}}}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","description":"Object containing response data for this resource.","properties":{"label":{"type":"string","description":"Label for this resource."},"url":{"type":"string","description":"URL for the external resource."}},"required":["label","url"]}}}}}}}}
```

## Update External Link

> Change the label or URL for a shared navigation link.

```json
{"openapi":"3.0.3","info":{"title":"MGR Agency API","version":"1.0.0"},"tags":[{"name":"External Links"}],"servers":[{"url":"https://api.moregoodreviews.com/agency"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"http","scheme":"bearer","bearerFormat":"ApiKey"}}},"paths":{"/external-links/{link_id}":{"put":{"tags":["External Links"],"summary":"Update External Link","operationId":"updateExternalLink","description":"Change the label or URL for a shared navigation link.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","description":"Object containing response data for this resource.","properties":{"success":{"type":"boolean","description":"Indicates whether the request completed successfully."},"code":{"type":"integer","description":"Short code or application-level status code for this resource."},"data":{"type":"object","description":"Response payload for the request.","properties":{"id":{"type":"integer","description":"Unique numeric identifier for this resource."},"uuid":{"type":"string","description":"Stable UUID for this resource."},"label":{"type":"string","description":"Label for this resource."},"url":{"type":"string","description":"URL for the external resource."}}}}}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","description":"Object containing response data for this resource.","properties":{"label":{"type":"string","description":"Label for this resource."},"url":{"type":"string","description":"URL for the external resource."}},"required":["label","url"]}}}},"parameters":[{"name":"link_id","in":"path","required":true,"schema":{"type":"integer","nullable":false,"description":"Unique numeric identifier for the external link."},"description":"Unique numeric identifier for the external link."}]}}}}
```

## Delete External Link

> Remove a shared navigation link from the client console.

```json
{"openapi":"3.0.3","info":{"title":"MGR Agency API","version":"1.0.0"},"tags":[{"name":"External Links"}],"servers":[{"url":"https://api.moregoodreviews.com/agency"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"http","scheme":"bearer","bearerFormat":"ApiKey"}}},"paths":{"/external-links/{link_id}":{"delete":{"tags":["External Links"],"summary":"Delete External Link","operationId":"deleteExternalLink","description":"Remove a shared navigation link from the client console.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","description":"Object containing response data for this resource.","properties":{"success":{"type":"boolean","description":"Indicates whether the request completed successfully."},"code":{"type":"integer","description":"Short code or application-level status code for this resource."}}}}}}},"parameters":[{"name":"link_id","in":"path","required":true,"schema":{"type":"integer","nullable":false,"description":"Unique numeric identifier for the external link."},"description":"Unique numeric identifier for the external link."}]}}}}
```
